### Common Makefile
# Must be included from another Makefile which defines the following variables
#  CFLAGS		gcc flags for compilation of .c files
#  CPPFLAGS		g++ flags for compilation of .cpp files
#  NVFLAGS		nvcc flags for compilation of .cu files. CFLAGS is passed to gcc/g++.
#  TARGET		Output target.
#  OBJS			Objects files required to build target.

# Compilers and linkerrs to use
CC	= gcc
CPP	= g++
NVCC	= nvcc
LD	= nvcc

# File extensions to compile from
.SUFFIXES: .c .cpp .cu 

# Compile rules for the file extensions
.c.o:
	$(CC) $(CFLAGS) -o $*.o -c $*.c
.cpp.o:
	$(CPP) $(CPPFLAGS) -o $*.o -c $*.c
.cu.o: 
	$(NVCC) -o $*.o -c $*.cu $(NVFLAGS) --compiler-options "$(CFLAGS)"

# Main target
all: $(TARGET)

# Custom target
$(TARGET): $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS)

# Cleanup target
clean :
	rm -f $(TARGET) $(OBJS)
